Many -git versions from Architect, installed as User-manager-git dependences

Maybe you could look in pacman log to see why/when they were pulled in ?
/var/log/pacman.log

It’s very strange.
On top of pacman.log there is the list that pacman will install.

2020-11-27T19:00:53+0000] [PACMAN] Running 'pacman -r /mnt -Sy --cachedir=/mnt/var/cache/pacman/pkg --noconfirm linux419 linux44 linux54 linux419-headers linux419-broadcom-wl linux44-headers linux44-broadcom-wl linux54-headers linux54-broadcom-wl acpi acpid
and in this list, the -git versions aren’t present.

But scrolling the list:

    [2020-11-27T19:12:46+0000] [ALPM] installed solid-git (5.76.0.r616.ga41ce6a-2)
    [2020-11-27T19:12:46+0000] [ALPM] installed kcoreaddons-git (5.76.0.r1055.g1edcd33-1)
    [2020-11-27T19:12:46+0000] [ALPM] installed kwidgetsaddons-git (5.76.0.r724.gec9881cd-1)
    [2020-11-27T19:12:46+0000] [ALPM] installed kjobwidgets-git (5.76.0.r320.g52b5ff9-2)
    [2020-11-27T19:12:46+0000] [ALPM] installed attica-git (5.76.0.r769.g99b7f83-2)

…and there are all of them.
So, does it seem a bug in the Architect script?
This is the Architect version:
:: manjaro-architect 0.9.33-5 ::

@Lolix, @cscs
I tried to install KTextWidgets with Pamac, but I got this warning and I can’t proceed.

could not satisfy dependencies:

  • removing kxmlgui-git breaks dependency ‘kxmlgui-git’ required by kbookmarks-git,
  • if possible, remove kbookmarks-git and retry
  • removing kxmlgui-git breaks dependency ‘kxmlgui’ required by libkipi,
  • if possible, remove libkipi and retry

This time curiosity didn’t kill the cat :slight_smile:

I listed my installed *-git packages from official repository, and then I did this in terminal:

pamac install attica karchive kauth kbookmarks kcodecs kcompletion kconfig kconfigwidgets kcoreaddons kcrash kdbusaddons kglobalaccel kguiaddons ki18n kiconthemes kio kitemviews kjobwidgets knotifications kwidgetsaddons kwindowsystem kxmlgui solid sonnet

It took about one minute for pamac to install the regular packages and remove their -git twins without any issue.

1 Like

hey, so I have this as well… but I didn’t use Architect. I just took the latest 20.2rcsomething and installed it. user-manager-git with dependencies is installed and /var/log/pacman.log does not contain any mention of that. So it’s been there from the initial install.
So it’s at least not only a bug in the Architect script

If you still have that log can you post it in full to a pastebin or something ? maybe it will help find why its being pulled.

EDIT.
Nevermind. Found it in the obvious place. And its fixed now. @Zamundaaa @gan @ceres

2 Likes

I tried that too, but pamac shown the warning. Did it happen because I tried with only one of them?
Anyway, I tried again.

EDIT ---- :grinning:
Yeah. I installed all packages at once and it seems work OK.

I did:
sudo pacman -Rdd user-manager-git
and then
pacman -S attica karchive kauth kbookmarks kcodecs kcompletion kconfig kconfigwidgets kcoreaddons kcrash kdbusaddons kglobalaccel kguiaddons ki18n kiconthemes kio kitemviews kjobwidgets knotifications kwidgetsaddons kwindowsystem kxmlgui solid sonnet

A difference from pacman to Pamac:
pacman warned me that removing kio-git would break the dependency with user-manager-git.
I should therefore have removed the latter at first.
Then, I had to confirm every remove operation for all items.

Pamac, however, advised that it proceeded to remove user-manager-git before removing the other packages and did it.
Only one confirm at the beginning.

We can say that pacman is more conservative and never does anything without the user explicitly asking.
In our case, the less experienced user does not know how to proceed because it does not ask to remove, but only warns.
Pamac, on the other hand, realized that user-manager-git should have been removed and did it himself.

A small difference, which however personally make me prefer pacman. :wink:

1 Like

Indeed. It isn’t a Architect script bug. I suspected that when I red on “Packages changes” list in the last ‘Stable branch’ update a lot of -git packages.
It is fixed now. :wink:

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.